cvp.vo

## Class Report

- java.lang.Object
- - cvp.vo.Report

-     public class Report
      extends java.lang.Object

  Java class for Report complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Report">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="screeningTypeCode">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="screeningTypeCode" type="{http://mock.sist.sirs/screeningReport}ScreeningTypeCodeEnum"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="eligiblePopulation" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="invitations" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="invitationsPerc" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="reminders" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="remindersPerc" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="participant" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="participantPerc" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="reminderParticipant" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="reminderParticipantPerc" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="negatives" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="negativesPerc" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="positives" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="positivesPerc" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="noResponse" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="suspensions" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="consensusYes" type="{http://www.w3.org/2001/XMLSchema}int"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Report.ScreeningTypeCode` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `consensusYes`
    `protected int` | `eligiblePopulation`
    `protected int` | `invitations`
    `protected int` | `invitationsPerc`
    `protected int` | `negatives`
    `protected int` | `negativesPerc`
    `protected int` | `noResponse`
    `protected int` | `participant`
    `protected int` | `participantPerc`
    `protected int` | `positives`
    `protected int` | `positivesPerc`
    `protected int` | `reminderParticipant`
    `protected int` | `reminderParticipantPerc`
    `protected int` | `reminders`
    `protected int` | `remindersPerc`
    `protected Report.ScreeningTypeCode` | `screeningTypeCode`
    `protected int` | `suspensions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Report()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConsensusYes()` Gets the value of the consensusYes property.
    `int` | `getEligiblePopulation()` Gets the value of the eligiblePopulation property.
    `int` | `getInvitations()` Gets the value of the invitations property.
    `int` | `getInvitationsPerc()` Gets the value of the invitationsPerc property.
    `int` | `getNegatives()` Gets the value of the negatives property.
    `int` | `getNegativesPerc()` Gets the value of the negativesPerc property.
    `int` | `getNoResponse()` Gets the value of the noResponse property.
    `int` | `getParticipant()` Gets the value of the participant property.
    `int` | `getParticipantPerc()` Gets the value of the participantPerc property.
    `int` | `getPositives()` Gets the value of the positives property.
    `int` | `getPositivesPerc()` Gets the value of the positivesPerc property.
    `int` | `getReminderParticipant()` Gets the value of the reminderParticipant property.
    `int` | `getReminderParticipantPerc()` Gets the value of the reminderParticipantPerc property.
    `int` | `getReminders()` Gets the value of the reminders property.
    `int` | `getRemindersPerc()` Gets the value of the remindersPerc property.
    `Report.ScreeningTypeCode` | `getScreeningTypeCode()` Gets the value of the screeningTypeCode property.
    `int` | `getSuspensions()` Gets the value of the suspensions property.
    `void` | `setConsensusYes(int value)` Sets the value of the consensusYes property.
    `void` | `setEligiblePopulation(int value)` Sets the value of the eligiblePopulation property.
    `void` | `setInvitations(int value)` Sets the value of the invitations property.
    `void` | `setInvitationsPerc(int value)` Sets the value of the invitationsPerc property.
    `void` | `setNegatives(int value)` Sets the value of the negatives property.
    `void` | `setNegativesPerc(int value)` Sets the value of the negativesPerc property.
    `void` | `setNoResponse(int value)` Sets the value of the noResponse property.
    `void` | `setParticipant(int value)` Sets the value of the participant property.
    `void` | `setParticipantPerc(int value)` Sets the value of the participantPerc property.
    `void` | `setPositives(int value)` Sets the value of the positives property.
    `void` | `setPositivesPerc(int value)` Sets the value of the positivesPerc property.
    `void` | `setReminderParticipant(int value)` Sets the value of the reminderParticipant property.
    `void` | `setReminderParticipantPerc(int value)` Sets the value of the reminderParticipantPerc property.
    `void` | `setReminders(int value)` Sets the value of the reminders property.
    `void` | `setRemindersPerc(int value)` Sets the value of the remindersPerc property.
    `void` | `setScreeningTypeCode(Report.ScreeningTypeCode value)` Sets the value of the screeningTypeCode property.
    `void` | `setSuspensions(int value)` Sets the value of the suspensions property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### screeningTypeCode

          protected Report.ScreeningTypeCode screeningTypeCode

    - #### eligiblePopulation

          protected int eligiblePopulation

    - #### invitations

          protected int invitations

    - #### invitationsPerc

          protected int invitationsPerc

    - #### reminders

          protected int reminders

    - #### remindersPerc

          protected int remindersPerc

    - #### participant

          protected int participant

    - #### participantPerc

          protected int participantPerc

    - #### reminderParticipant

          protected int reminderParticipant

    - #### reminderParticipantPerc

          protected int reminderParticipantPerc

    - #### negatives

          protected int negatives

    - #### negativesPerc

          protected int negativesPerc

    - #### positives

          protected int positives

    - #### positivesPerc

          protected int positivesPerc

    - #### noResponse

          protected int noResponse

    - #### suspensions

          protected int suspensions

    - #### consensusYes

          protected int consensusYes

  - ### Constructor Detail

    - #### Report

          public Report()

  - ### Method Detail

    - #### getScreeningTypeCode

          public Report.ScreeningTypeCode getScreeningTypeCode()

      Gets the value of the screeningTypeCode property.
      Returns:
        possible object is `Report.ScreeningTypeCode`

    - #### setScreeningTypeCode

          public void setScreeningTypeCode(Report.ScreeningTypeCode value)

      Sets the value of the screeningTypeCode property.
      Parameters:
        `value` - allowed object is `Report.ScreeningTypeCode`

    - #### getEligiblePopulation

          public int getEligiblePopulation()

      Gets the value of the eligiblePopulation property.

    - #### setEligiblePopulation

          public void setEligiblePopulation(int value)

      Sets the value of the eligiblePopulation property.

    - #### getInvitations

          public int getInvitations()

      Gets the value of the invitations property.

    - #### setInvitations

          public void setInvitations(int value)

      Sets the value of the invitations property.

    - #### getInvitationsPerc

          public int getInvitationsPerc()

      Gets the value of the invitationsPerc property.

    - #### setInvitationsPerc

          public void setInvitationsPerc(int value)

      Sets the value of the invitationsPerc property.

    - #### getReminders

          public int getReminders()

      Gets the value of the reminders property.

    - #### setReminders

          public void setReminders(int value)

      Sets the value of the reminders property.

    - #### getRemindersPerc

          public int getRemindersPerc()

      Gets the value of the remindersPerc property.

    - #### setRemindersPerc

          public void setRemindersPerc(int value)

      Sets the value of the remindersPerc property.

    - #### getParticipant

          public int getParticipant()

      Gets the value of the participant property.

    - #### setParticipant

          public void setParticipant(int value)

      Sets the value of the participant property.

    - #### getParticipantPerc

          public int getParticipantPerc()

      Gets the value of the participantPerc property.

    - #### setParticipantPerc

          public void setParticipantPerc(int value)

      Sets the value of the participantPerc property.

    - #### getReminderParticipant

          public int getReminderParticipant()

      Gets the value of the reminderParticipant property.

    - #### setReminderParticipant

          public void setReminderParticipant(int value)

      Sets the value of the reminderParticipant property.

    - #### getReminderParticipantPerc

          public int getReminderParticipantPerc()

      Gets the value of the reminderParticipantPerc property.

    - #### setReminderParticipantPerc

          public void setReminderParticipantPerc(int value)

      Sets the value of the reminderParticipantPerc property.

    - #### getNegatives

          public int getNegatives()

      Gets the value of the negatives property.

    - #### setNegatives

          public void setNegatives(int value)

      Sets the value of the negatives property.

    - #### getNegativesPerc

          public int getNegativesPerc()

      Gets the value of the negativesPerc property.

    - #### setNegativesPerc

          public void setNegativesPerc(int value)

      Sets the value of the negativesPerc property.

    - #### getPositives

          public int getPositives()

      Gets the value of the positives property.

    - #### setPositives

          public void setPositives(int value)

      Sets the value of the positives property.

    - #### getPositivesPerc

          public int getPositivesPerc()

      Gets the value of the positivesPerc property.

    - #### setPositivesPerc

          public void setPositivesPerc(int value)

      Sets the value of the positivesPerc property.

    - #### getNoResponse

          public int getNoResponse()

      Gets the value of the noResponse property.

    - #### setNoResponse

          public void setNoResponse(int value)

      Sets the value of the noResponse property.

    - #### getSuspensions

          public int getSuspensions()

      Gets the value of the suspensions property.

    - #### setSuspensions

          public void setSuspensions(int value)

      Sets the value of the suspensions property.

    - #### getConsensusYes

          public int getConsensusYes()

      Gets the value of the consensusYes property.

    - #### setConsensusYes

          public void setConsensusYes(int value)

      Sets the value of the consensusYes property.